from flask import Flask, request

from data.data import courses

app = Flask(__name__)



@app.route("/courses", methods=["get"])
def get_course():
    # 获取课程
    course_id = request.args.get("course_id")
    print(course_id)
    datas = []
    if course_id:
        # 如果不为空，则返回对应的课程
        for course in courses:
            if int(course_id) == course.get("course_id"):
                datas.append(course)
    else:
        # 返回所有数据
        datas = courses
    return {"code": 0, "msg": "success", "data": datas}


@app.route("/courses", methods=["post"])
def post_course():
    # 添加课程
    course_data = request.json
    print(f"接收到的参数<====== {course_data}")
    course_id = int(course_data.get("course_id"))
    course_name = course_data.get("course_name")
    course_desc = course_data.get("course_desc")
    new_course = {
        "course_id": course_id,
        "course_name": course_name,
        "course_desc": course_desc,
    }
    # 判断是否有课程
    for course in courses:
        if course.get("course_id") == course_id:
            return {"code": 40001, "msg": "course id is exists"}

    courses.append(new_course)
    print(f"当前所有课程：{courses}")
    return {"code": 0, "msg": "success", "data": new_course}


@app.route("/courses", methods=["put"])
def put_course():
    # 修改课程
    course_data = request.json
    print(f"接收到的参数<====== {course_data}")
    course_id = int(course_data.get("course_id"))
    course_name = course_data.get("course_name")
    course_desc = course_data.get("course_desc")
    update_course = {
        "course_id": course_id,
        "course_name": course_name,
        "course_desc": course_desc,
    }
    for course in courses:
        if course.get("course_id") == course_id:
            # 先删除，再添加
            print(f"需要更新的课程：{course}")
            courses.remove(course)
            courses.append(update_course)
            print(f"当前所有课程：{courses}")
            return {"code": 0, "msg": "success", "data": update_course}
    return {"code": 40001, "msg": "course is not exists"}


@app.route("/courses", methods=["delete"])
def del_course():
    # 删除课程
    course_id = int(request.json.get("course_id"))
    for course in courses:
        if course.get("course_id") == course_id:
            print(f"删除课程：{course}")
            courses.remove(course)
            print(f"当前所有课程：{courses}")
            return {"code": 0, "msg": "success"}
    return {"code": 40001, "msg": "course is not exists"}


if __name__ == '__main__':
    app.run(host="0.0.0.0", port=5008, debug=True)
