# # 导入 Flask 的模块
from flask import Flask, request

from data.data import cases

# 创建一个 Flask 应用的程序实例
app = Flask(__name__)

my_cases = cases


# 查询用例
@app.route("/testcase", methods=["GET"])
def get_case():
    args = request.args
    _id = args.get("id")
    datas = []
    if _id:
        for case in my_cases:
            if int(_id) == case.get("id"):
                datas.append(case)
    else:
        datas = my_cases
    return {"code": 0, "msg": "success", "data": datas}


# 新增测试用例
@app.route("/testcase/add", methods=["POST"])
def add_case():
    case_data = request.json
    print(f"接收到的参数<===={case_data}")
    _id = int(case_data.get("id"))
    name = case_data.get("name")
    desc = case_data.get("desc")
    new_case = {"id": _id, "name": name, "desc": desc}
    # 判断重复
    for case in my_cases:
        if case.get("id") == _id or case.get("name") == name:
            return {"code": 40002, "msg": "case is exists"}
    my_cases.append(new_case)
    print(f"当前的全部用例: {my_cases}")
    return {"code": 0, "msg": "add success"}


# 删除测试用例
@app.route("/testcase/delete", methods=["DELETE"])
def delete_case():
    ...


# 启动函数
if __name__ == '__main__':
    app.run(host="0.0.0.0", debug=True)
