# 导入 Flask 的模块
from flask import Flask, request

# 创建一个 Flask 应用的程序实例
app = Flask(__name__)


# get 请求数据
@app.route("/courses", methods=["get"])
def get_course():
    name = request.args.get("name")
    print(name)
    return {"code": 0, "msg": f"get {name} success"}


# json 参数
@app.route("/add_courses", methods=["post"])
def add_course():
    print(request.json)
    return {"code": 0, "msg": "post success"}


# 表单请求
@app.route("/login", methods=["post"])
def user_login():
    name = request.form.get("name")
    psw = request.form.get("password")
    print(f"收到前端的登录参数 name 为 {name}, password 为 {psw}")
    if name == "root" and psw == "123456":
        return {"code": 0, "msg": "login success"}
    else:
        return {"code": 401, "msg": "login fail"}


user_list = [
    {"username": "zhangsan", "password": "123456"},
    {"username": "lisi", "password": "12345"},
    {"username": "wangwu", "password": "12346"},
    {"username": "zhaoliu", "password": "12456"},
    {"username": "niuqi", "password": "123476"},
]


@app.route("/new_login", methods=["post"])
def user_login_new():
    username = request.form.get("username")
    psw = request.form.get("password")
    print(f"收到前端的登录参数 username 为 {username}, password 为 {psw}")
    for user_obj in user_list:
        print(f'当前查询的用户是{user_obj.get("username")},密码是{user_obj.get("username")}')
        if username == user_obj.get("username") and psw == user_obj.get("password"):
            return {"code": 0, "msg": "success", "data": {"name": username, "password": psw}}
    return {"code": 401, "msg": "login fail"}


# 处理文件请求
@app.route("/file_req", methods=["post"])
def file_req():
    file_obj = request.files.get("file")
    print(file_obj)
    if file_obj is None:
        # 表示没有发送文件
        return {"code": 40001, "msg": "file not upload"}
    file_obj.save("test_file.png")
    return {"code": 0, "msg": "file upload success"}


# 启动函数
if __name__ == '__main__':
    app.run(host="0.0.0.0", port=6500, debug=True)
