# 导入 Flask 的模块
from flask import Flask, render_template

# 创建一个 Flask 应用的程序实例
app = Flask(__name__)


# 文本类型

@app.route('/text')
def get_text():
    return '返回文本'


# tuple
@app.route('/tuple')
def tuple_res():
    return "你好呀", 201, {"hogwarts": "ad"}


# json /dict
# 返回字典
@app.route('/dict')
def get_dict():
    return {'status': 0}


# 返回html

@app.route('/html')
def get_html():
    # 调用render_template方法，传入html 文件的名称。
    # 注意html文件必须在 templates 目录下
    return render_template('demo.html')


if __name__ == '__main__':
    app.run()
