# 导入 Flask 的模块
from flask import Flask

# 创建一个 Flask 应用的程序实例
app = Flask(__name__)


# 定义路由及视图函数
@app.route("/")
def hello_world():
    return "<p>Hello, World!</p>"


@app.route("/hogwarts/")
def hello_hogwarts():
    return "<p>Hello, Hogwarts!</p>"


# 动态路由
@app.route("/listcases/<case_name>")
def listcases(case_name):
    return f"获取 {case_name} 的详情数据"


@app.route("/limit_type/<int:case_id>")
def limit_type(case_id):
    return f"获取 {case_id} 的详情数据"

# 启动的程序

if __name__ == '__main__':
    app.run()
