import requests


class TestCourseServer:

    def setup_class(self):
        self.base_url = "http://127.0.0.1:5000"

    def test_post_json(self):
        data = {
            "name": "cekai",
            "time": "6个月",
            "des": "测试开发课程，学习时间为6个月"
        }
        res = requests.post(f"{self.base_url}/add_courses", json=data)
        print(res.json())
        assert res.json().get("code") == 0

    def test_login_success(self):
        data = {
            "name": "root",
            "password": "123456"
        }
        res = requests.post(f"{self.base_url}/login", data=data)
        print(res.json())
        assert res.json().get("code") == 0

    def test_login_fail(self):
        data = {
            "name": "root",
            "password": "1234567"
        }
        res = requests.post(f"{self.base_url}/login", data=data)
        print(res.json())
        assert res.json().get("code") == 401

    def test_file_upload(self):
        url = f"{self.base_url}/file_req"
        files = {"file": open("img.png", "rb")}
        res = requests.post(url,files=files)
        print(res.json())
        assert res.json().get("code") == 0
