from flask import Blueprint, request

from orm_study.orm_connect import User, db_session

user_bp = Blueprint("用户管理", __name__, url_prefix="/user")


@user_bp.route("/")
def user():
    return "用户列表"


@user_bp.route("/login", methods=["POST"])
def user_login():
    """
    登录功能，获取用户提交的数据，进行校验，校验成功则返回登录成功
    :return:
    """
    # return "登录成功"
    # 获取请求体
    data = request.json
    # 使用请求的数据构建用户的对象
    user = User(**data)  # 等价于 User(username=data.get("username"),password=data.get("password"))
    # 查询用户是否存在，存在则进行后续的步骤
    user_result_data = db_session.query(User).filter_by(username=user.username).first()
    # user_result = User()
    if not user_result_data:
        # 没查到用户
        return {"code": 405, "msg": "user is not register"}
    if not user_result_data.check_hash_password(data.get("password")):
        return {"code": 401, "msg": "user or password is wrong"}
    return {"code": 0, "msg": "user login success"}


@user_bp.route("/register", methods=["POST"])
def user_register():
    # 获取请求体
    data = request.json
    # 构建用户对象
    user = User(**data)
    print(user.password)

    if user:
        # 查询用户是否存在，存在则进行后续的步骤
        user_result_data = db_session.query(User).filter_by(username=user.username).first()
        if user_result_data:
            return {"code": 40003, "msg": "user is exist"}
        db_session.add(user)
        db_session.commit()
        user_id = user.id
        if user_id:
            # 存在id,则证明新增成功了
            return {"code": 0, "msg": f"register success"}
        else:
            return {"code": 40001, "msg": "register fail"}
    return {"code": 40001, "msg": "register fail"}


@user_bp.route("/delete")
def delete_user():
    return "删除成功"
